    createCompositionBarrel = function()
        local composition55 = CreateCompositionSequence();
        local compositionDuration = 6.45833333333333;
        composition55:SetDuration(compositionDuration);

        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/56.png");
        element:SetName("Layer_1");
        composition55:AddElement(element);
        element:SetHotSpot(9, 17.5);
        element:SetParentElement(composition55);
        element:SetXY(384.5, 177);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 18, 35)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(1, 3.4);
        effector:SetKey(_TRACK_O, 3.4, 1);
        effector:SetKey(_TRACK_O, 3.5, 0);
        effector:Play();
   
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/55.png");
        element:SetName("Layer_2");
        composition55:AddElement(element);
        element:SetHotSpot(9, 17.5);
        element:SetParentElement(composition55);
        element:SetXY(384.5, 177);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(50)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 18, 35)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(3.4, 4.16666666666667);
        effector:SetKey(_TRACK_O, 4.16666666666667, 1);
        effector:SetKey(_TRACK_O, 4.26666666666667, 0);
        effector:Play();

        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/55.png");
        element:SetName("Layer_3");
        composition55:AddElement(element);
        element:SetHotSpot(9, 17.5);
        element:SetParentElement(composition55);
        element:SetXY(384.5, 177);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(50)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 18, 35)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.01, 1);
        effector:SetKey(_TRACK_O, 1, 1);
        effector:SetKey(_TRACK_O, 1.1, 0);
        effector:Play();

        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/nkl.png");
        element:SetName("Layer_4");
        composition55:AddElement(element);
        element:SetHotSpot(49.5, 86.5);
        element:SetParentElement(composition55);
        element:SetXY(546.5, 391.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 30);
    
    
        effector:Play();
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/bedontemn.png");
        element:SetName("Layer_5");
        composition55:AddElement(element);
        element:SetHotSpot(40.5, 63.5);
        element:SetParentElement(composition55);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(4.16666666666667, 34.1666666666667);
    
        effector:SetKey(_TRACK_X, 4.16666666666667, 387.5);
        effector:SetKey(_TRACK_Y, 4.16666666666667, 257);
        effector:SetKey(_TRACK_X, 4.83333333333333, 514.571495627441);
        effector:SetKey(_TRACK_Y, 4.83333333333333, 238.574489287522);
        effector:SetKey(_TRACK_X, 5.08333333333333, 561.899460055242);
        effector:SetKey(_TRACK_Y, 5.08333333333333, 255.299580681198);
        effector:SetKey(_TRACK_X, 5.83333333333333, 575.5);
        effector:SetKey(_TRACK_Y, 5.83333333333333, 403);
        effector:SetKey(_TRACK_O, 4.75, 0);
        effector:SetKey(_TRACK_O, 5.83333333333333, 0.84);
    
        effector:Play();
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/bedon.png");
        element:SetName("Layer_6");
        composition55:AddElement(element);
        element:SetHotSpot(40.5, 63.5);
        element:SetParentElement(composition55);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 30);
    
        effector:SetKey(_TRACK_X, 4.16666666666667, 387.5);
        effector:SetKey(_TRACK_Y, 4.16666666666667, 257);
        effector:SetKey(_TRACK_X, 4.83333333333333, 514.571495627441);
        effector:SetKey(_TRACK_Y, 4.83333333333333, 238.574489287522);
        effector:SetKey(_TRACK_X, 5.08333333333333, 561.899460055242);
        effector:SetKey(_TRACK_Y, 5.08333333333333, 255.299580681198);
        effector:SetKey(_TRACK_X, 5.83333333333333, 575.5);
        effector:SetKey(_TRACK_Y, 5.83333333333333, 403);
    
        effector:Play();
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/nk.png");
        element:SetName("Layer_7");
        composition55:AddElement(element);
        element:SetHotSpot(65, 51.5);
        element:SetParentElement(composition55);
        element:SetXY(501, 333.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 30);
    
    
        effector:Play();
    
    
        -- Layer Layer_8
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/t.png");
        element:SetName("Layer_8");
        composition55:AddElement(element);
        element:SetHotSpot(69.5, 14.5);
        element:SetParentElement(composition55);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 30);
    
        effector:SetKey(_TRACK_X, 4.16666666666667, 414);
        effector:SetKey(_TRACK_Y, 4.16666666666667, 309.5);
        effector:SetKey(_TRACK_X, 4.375, 455.002092422185);
        effector:SetKey(_TRACK_Y, 4.375, 308.166445516354);
        effector:SetKey(_TRACK_X, 4.79166666666667, 537);
        effector:SetKey(_TRACK_Y, 4.79166666666667, 296.5);
        effector:SetKey(_TRACK_SX, 4.58333333333333, 1);
        effector:SetKey(_TRACK_SY, 4.58333333333333, 1);
        effector:SetKey(_TRACK_SX, 4.66666666666667, 0.56333333333333);
        effector:SetKey(_TRACK_SY, 4.66666666666667, 0.94833333333333);
        effector:SetKey(_TRACK_SX, 5.08333333333333, 0);
        effector:SetKey(_TRACK_SY, 5.08333333333333, 0.87);
    
        effector:Play();
  
        return composition55;
    end
    
    -- //////////////////////////////////////////////////////////////////////////////////////////////////////////////////// --
    
    createCompositionBucket = function()
    
        local composition55 = CreateCompositionSequence()
        local compositionDuration = 5
        composition55:SetDuration(compositionDuration)
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/53.png");
        element:SetName("Layer_1");
        composition55:AddElement(element);
        element:SetHotSpot(7.5, 15.5);
        element:SetParentElement(composition55);
        element:SetXY(384.875, 178.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 15, 31)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.29166666666667, 2.79166666666667);
        effector:SetKey(_TRACK_O, 2.79166666666667, 1);
        effector:SetKey(_TRACK_O, 2.89166666666667, 0);
        effector:Play();
    
   
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/52.png");
        element:SetName("Layer_2");
        composition55:AddElement(element);
        element:SetHotSpot(7.5, 16);
        element:SetParentElement(composition55);
        element:SetXY(385, 178);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(45)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 15, 32)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(2.79166666666667, 3.88333333333333);
        effector:SetKey(_TRACK_O, 3.88333333333333, 1);
        effector:SetKey(_TRACK_O, 3.98333333333333, 0);
        effector:Play();
   
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/52.png");
        element:SetName("Layer_3");
        composition55:AddElement(element);
        element:SetHotSpot(7.5, 16);
        element:SetParentElement(composition55);
        element:SetXY(385, 178);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(45)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 15, 32)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.29166666666667);
        effector:SetKey(_TRACK_O, 1.29166666666667, 1);
        effector:SetKey(_TRACK_O, 1.39166666666667, 0);
        effector:Play();

        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/ty.png");
        element:SetName("Layer_4");
        composition55:AddElement(element);
        element:SetHotSpot(42.5, 37.5);
        element:SetParentElement(composition55);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 20.2916666666667);
    
        effector:SetKey(_TRACK_X, 4, 392.75);
        effector:SetKey(_TRACK_Y, 4, 220.75);
        effector:SetKey(_TRACK_X, 4.25, 363.752813250301);
        effector:SetKey(_TRACK_Y, 4.25, 245.995217474488);
        effector:SetKey(_TRACK_X, 4.5, 357.75);
        effector:SetKey(_TRACK_Y, 4.5, 280.25);
        effector:Play();
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/7_house_1/zoom_electro/anim/ten.png");
        element:SetName("Layer_5");
        composition55:AddElement(element);
        element:SetHotSpot(51, 8.5);
        element:SetParentElement(composition55);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 20.5);
    
        effector:SetKey(_TRACK_X, 4, 433.25);
        effector:SetKey(_TRACK_Y, 4, 305);
        effector:SetKey(_TRACK_X, 4.5, 379.25);
        effector:SetKey(_TRACK_Y, 4.5, 311.75);
        effector:Play();
    
        return composition55;
    end
